Sign inGet started

Get a suppression

GET
/workspaces/{workspaceId}/suppressions/{platformId}/{identifierValue}
Retrieve one workspace-platform-level suppression
Corps de la réponse
platformId
string
obligatoire
Possible values: apple-business-chat, chat, email-sparkpost, facebook-messenger, google-business-messages, instagram, line, linkedin, push-notifications, rcs-google, sms-messagebird, sms-twilio, telegram, tiktok, viber, voice-messagebird, wechat, whatsapp
platformType
string
Possible values: sms, email, whatsapp, rcs
identifierValue
string
obligatoire
suppressedForOriginators
array of object
List of channel identifiers that this suppression was created for. When this field is absent, the suppression is global to the workspace-recipient tuple.
Afficher les attributs enfants
suppressedForOriginators.channelIdentifier
string
obligatoire
suppressedFor
object
obligatoire
Afficher les attributs enfants
suppressedFor.marketing
boolean
obligatoire
suppressedFor.transactional
boolean
obligatoire
reasons
object
obligatoire
Afficher les attributs enfants
reasons.marketing
string
Possible values: unknown, unsubscribed, spam_complaint, email_bounced, email_invalid, phone_invalid, phone_invalid_unknown_subscriber, manually_suppressed, imported
reasons.transactional
string
Possible values: unknown, unsubscribed, spam_complaint, email_bounced, email_invalid, phone_invalid, phone_invalid_unknown_subscriber, manually_suppressed, imported
contactSuppressedMarketingAt
string
contactSuppressedMarketingReason
string
contactSuppressedTransactionalAt
string
contactSuppressedTransactionalReason
string
marketerSuppressedMarketingAt
string
marketerSuppressedMarketingReason
string
marketerSuppressedTransactionalAt
string
marketerSuppressedTransactionalReason
string
contactSuppressedMarketingSourceMessageId
string
ID of the message that caused this contact marketing suppression.
contactSuppressedMarketingRawReason
string
Raw SMTP/provider error string for this contact marketing suppression.
contactSuppressedTransactionalSourceMessageId
string
ID of the message that caused this contact transactional suppression.
contactSuppressedTransactionalRawReason
string
Raw SMTP/provider error string for this contact transactional suppression.
marketerSuppressedMarketingSourceMessageId
string
ID of the message that caused this marketer marketing suppression.
marketerSuppressedMarketingRawReason
string
Raw SMTP/provider error string for this marketer marketing suppression.
marketerSuppressedTransactionalSourceMessageId
string
ID of the message that caused this marketer transactional suppression.
marketerSuppressedTransactionalRawReason
string
Raw SMTP/provider error string for this marketer transactional suppression.
contact
object
Afficher les attributs enfants
contact.accountIds
array of string
The list of account ids for the contact.
contact.attributes
object
A map of key-value pairs, where the values are boolean, number, or string, or a non-empty array of those, or null
contact.companyRefs
array of string
The list of company references for the contact.
contact.computedDisplayName
string
The computed display name for the contact. It can be derived, in the following order if available, from the displayName attribute, the firstName attribute, the emailaddress identifier, or the phonenumber identifier.
contact.createdAt
string
obligatoire
contact.featuredIdentifiers
array of object
The list of identifiers for the contact.
Afficher les attributs enfants
contact.featuredIdentifiers.key
string
obligatoire
The identifier key. This can be from your custom identifier key or one of the built-in keys.
contact.featuredIdentifiers.value
string
obligatoire
The identifier value. This represents the actual value for the identifier.
contact.id
string
obligatoire
The unique identifier for the contact.
contact.identifierCount
integer
The number of identifiers for the contact.
contact.isAnonymous
boolean
Whether the contact is anonymous. A contact is anonymous if it has no identifiers, or only has visitorid identifiers.
contact.listIds
array of string
The list of list ids for the contact.
contact.updatedAt
string
obligatoire
contact.workspaceId
string
Your workspace identifier.
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/suppressions/{platformId}/{identifierValue}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'